[arch-commits] Commit in mercurial/repos/extra-x86_64 (4 files)

Antonio Rojas arojas at archlinux.org
Sun May 10 17:19:05 UTC 2020


    Date: Sunday, May 10, 2020 @ 17:19:04
  Author: arojas
Revision: 383116

archrelease: copy trunk to extra-x86_64

Added:
  mercurial/repos/extra-x86_64/PKGBUILD
    (from rev 383115, mercurial/trunk/PKGBUILD)
  mercurial/repos/extra-x86_64/mercurial.profile
    (from rev 383115, mercurial/trunk/mercurial.profile)
Deleted:
  mercurial/repos/extra-x86_64/PKGBUILD
  mercurial/repos/extra-x86_64/mercurial.profile

-------------------+
 PKGBUILD          |  141 ++++++++++++++++++++++++++--------------------------
 mercurial.profile |    2 
 2 files changed, 72 insertions(+), 71 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-10 17:17:45 UTC (rev 383115)
+++ PKGBUILD	2020-05-10 17:19:04 UTC (rev 383116)
@@ -1,70 +0,0 @@
-# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Giovanni Scafora <giovanni at archlinux.org>
-# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgname=mercurial
-pkgver=5.3.2
-pkgrel=1
-pkgdesc='A scalable distributed SCM tool'
-arch=(x86_64)
-url="https://www.mercurial-scm.org/"
-license=(GPL)
-depends=(python2)
-optdepends=('tk: for the hgk GUI')
-checkdepends=('breezy' 'cvs' 'git' 'git-lfs' 'python2-docutils' 'subversion' 'unzip')
-backup=(etc/mercurial/hgrc)
-validpgpkeys=(2BCCE14F5C6725AA2EA8AEB7B9C9DC824AA5BDD5
-              3A8155163D0E20A530FCB78647A67FFAA346AACE)
-source=(https://www.mercurial-scm.org/release/${pkgname}-${pkgver}.tar.gz{,.asc}
-        mercurial.profile)
-sha256sums=('fed24cbc314d31b0780309ee324c38d45476f00f555969551badcc2a1d5f1329'
-            'SKIP'
-            '87427151713e689cd87dc50d50c048e0e58285815e4eb61962b50583532cbde5')
-
-prepare() {
-  cd $pkgname-$pkgver
-  sed -i -e 's#env python#env python2#' mercurial/lsprof.py contrib/hg-ssh
-}
-
-build() {
-  cd $pkgname-$pkgver/contrib/chg
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver/tests
-  # TODO
-  python2 run-tests.py -j16 || :
-}
-
-package() {
-  cd $pkgname-$pkgver
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  install -d "$pkgdir/usr/share/man/"{man1,man5}
-  install -m644 doc/hg.1 "$pkgdir/usr/share/man/man1"
-  install -m644 doc/{hgrc.5,hgignore.5} "$pkgdir/usr/share/man/man5"
-  install -m644 -D contrib/zsh_completion "$pkgdir/usr/share/zsh/site-functions/_hg"
-  install -m644 -D contrib/bash_completion "$pkgdir/usr/share/bash-completion/completions/hg"
-
-  make -C contrib/chg DESTDIR="$pkgdir" PREFIX=/usr install
-  install -m755 contrib/hg-ssh "$pkgdir/usr/bin"
-  install -m755 contrib/hgk "$pkgdir/usr/bin"
-
-  install -d "$pkgdir/usr/share/emacs/site-lisp"
-  install -m644 contrib/{mq.el,mercurial.el} "$pkgdir/usr/share/emacs/site-lisp"
-
-  install -Dm644 contrib/vim/HGAnnotate.vim \
-    "$pkgdir/usr/share/vim/vimfiles/syntax/HGAnnotate.vim"
-
-  # set some variables
-  install -m755 -d "$pkgdir/etc/profile.d"
-  install -m755 "$srcdir/mercurial.profile" "$pkgdir/etc/profile.d/mercurial.sh"
-
-  # FS#38825 - Add certs config to package
-  install -m755 -d "$pkgdir/etc/mercurial"
-  cat <<-EOF > "$pkgdir/etc/mercurial/hgrc"
-	[web]
-	cacerts = /etc/ssl/certs/ca-certificates.crt
-	EOF
-}

Copied: mercurial/repos/extra-x86_64/PKGBUILD (from rev 383115, mercurial/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-05-10 17:19:04 UTC (rev 383116)
@@ -0,0 +1,71 @@
+# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgname=mercurial
+pkgver=5.4
+pkgrel=1
+pkgdesc='A scalable distributed SCM tool'
+arch=(x86_64)
+url="https://www.mercurial-scm.org/"
+license=(GPL)
+depends=(python2)
+optdepends=('tk: for the hgk GUI')
+checkdepends=('breezy' 'cvs' 'git' 'git-lfs' 'python2-docutils' 'subversion' 'unzip')
+backup=(etc/mercurial/hgrc)
+validpgpkeys=(2BCCE14F5C6725AA2EA8AEB7B9C9DC824AA5BDD5
+              3A8155163D0E20A530FCB78647A67FFAA346AACE
+              EB851395B4223EE2F7BA0B28DA54740BF08732BA) # Pulkit Goyal <7895pulkit at gmail.com>
+source=(https://www.mercurial-scm.org/release/${pkgname}-${pkgver}.tar.gz{,.asc}
+        mercurial.profile)
+sha256sums=('1df8d1978aefcbb65dc51e3666a452583f47aeaf3c5682e4c00a3b23cd805d6a'
+            'SKIP'
+            '87427151713e689cd87dc50d50c048e0e58285815e4eb61962b50583532cbde5')
+
+prepare() {
+  cd $pkgname-$pkgver
+  sed -i -e 's#env python#env python2#' mercurial/lsprof.py contrib/hg-ssh
+}
+
+build() {
+  cd $pkgname-$pkgver/contrib/chg
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver/tests
+  # TODO
+  python2 run-tests.py -j16 || :
+}
+
+package() {
+  cd $pkgname-$pkgver
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  install -d "$pkgdir/usr/share/man/"{man1,man5}
+  install -m644 doc/hg.1 "$pkgdir/usr/share/man/man1"
+  install -m644 doc/{hgrc.5,hgignore.5} "$pkgdir/usr/share/man/man5"
+  install -m644 -D contrib/zsh_completion "$pkgdir/usr/share/zsh/site-functions/_hg"
+  install -m644 -D contrib/bash_completion "$pkgdir/usr/share/bash-completion/completions/hg"
+
+  make -C contrib/chg DESTDIR="$pkgdir" PREFIX=/usr install
+  install -m755 contrib/hg-ssh "$pkgdir/usr/bin"
+  install -m755 contrib/hgk "$pkgdir/usr/bin"
+
+  install -d "$pkgdir/usr/share/emacs/site-lisp"
+  install -m644 contrib/{mq.el,mercurial.el} "$pkgdir/usr/share/emacs/site-lisp"
+
+  install -Dm644 contrib/vim/HGAnnotate.vim \
+    "$pkgdir/usr/share/vim/vimfiles/syntax/HGAnnotate.vim"
+
+  # set some variables
+  install -m755 -d "$pkgdir/etc/profile.d"
+  install -m755 "$srcdir/mercurial.profile" "$pkgdir/etc/profile.d/mercurial.sh"
+
+  # FS#38825 - Add certs config to package
+  install -m755 -d "$pkgdir/etc/mercurial"
+  cat <<-EOF > "$pkgdir/etc/mercurial/hgrc"
+	[web]
+	cacerts = /etc/ssl/certs/ca-certificates.crt
+	EOF
+}

Deleted: mercurial.profile
===================================================================
--- mercurial.profile	2020-05-10 17:17:45 UTC (rev 383115)
+++ mercurial.profile	2020-05-10 17:19:04 UTC (rev 383116)
@@ -1 +0,0 @@
-export HG=/usr/bin/hg

Copied: mercurial/repos/extra-x86_64/mercurial.profile (from rev 383115, mercurial/trunk/mercurial.profile)
===================================================================
--- mercurial.profile	                        (rev 0)
+++ mercurial.profile	2020-05-10 17:19:04 UTC (rev 383116)
@@ -0,0 +1 @@
+export HG=/usr/bin/hg


More information about the arch-commits mailing list